# SlicedSetPreallocation

sets the matrix memory preallocation for matrices computed by Sliced

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode PETSCDM_DLLEXPORT SlicedSetPreallocation(Sliced slice,PetscInt d_nz,const PetscInt d_nnz[],PetscInt o_nz,const PetscInt o_nnz[])

Not Collective

### Input Parameters

| slice | - the Sliced object
| d_nz | - maximum number of nonzeros in any row of diagonal block
| d_nnz | - number of nonzeros in each row of diagonal block
| o_nz | - maximum number of nonzeros in any row of off-diagonal block
| o_nnz | - number of nonzeros in each row of off-diagonal block

### See Also

SlicedDestroy(), SlicedCreateGlobalVector(), SlicedGetGlobalIndices(), MatMPIAIJSetPreallocation(),
MatMPIBAIJSetPreallocation()

Level:advanced
Location: src/dm/da/utils/sliced.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages